org.keycloak.admin.client.resource

## Interface RealmResource

-     public interface RealmResource

  Author:
    rodrigo.sasaki@icarros.com.br

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefaultDefaultClientScope(String clientScopeId)`
    `void` | `addDefaultGroup(String groupId)`
    `void` | `addDefaultOptionalClientScope(String clientScopeId)`
    `AttackDetectionResource` | `attackDetection()`
    `void` | `clearAdminEvents()`
    `void` | `clearEvents()`
    `void` | `clearKeysCache()`
    `void` | `clearRealmCache()`
    `void` | `clearUserCache()`
    `ClientInitialAccessResource` | `clientInitialAccess()`
    `ClientPoliciesPoliciesResource` | `clientPoliciesPoliciesResource()`
    `ClientPoliciesProfilesResource` | `clientPoliciesProfilesResource()`
    `ClientRegistrationPolicyResource` | `clientRegistrationPolicy()`
    `ClientsResource` | `clients()`
    `ClientScopesResource` | `clientScopes()`
    `ComponentsResource` | `components()`
    `ClientRepresentation` | `convertClientDescription(String description)`
    `void` | `deleteSession(String sessionId)`
    `AuthenticationManagementResource` | `flows()`
    `List<AdminEventRepresentation>` | `getAdminEvents()`
    `List<AdminEventRepresentation>` | `getAdminEvents(List<String> operationTypes, String authRealm, String authClient, String authUser, String authIpAddress, String resourcePath, String dateFrom, String dateTo, Integer firstResult, Integer maxResults)`
    `List<Map<String,String>>` | `getClientSessionStats()`
    `List<ClientScopeRepresentation>` | `getDefaultDefaultClientScopes()`
    `List<GroupRepresentation>` | `getDefaultGroups()`
    `List<ClientScopeRepresentation>` | `getDefaultOptionalClientScopes()`
    `List<EventRepresentation>` | `getEvents()`
    `List<EventRepresentation>` | `getEvents(List<String> types, String client, String user, String dateFrom, String dateTo, String ipAddress, Integer firstResult, Integer maxResults)`
    `GroupRepresentation` | `getGroupByPath(String path)`
    `RealmEventsConfigRepresentation` | `getRealmEventsConfig()`
    `GroupsResource` | `groups()`
    `IdentityProvidersResource` | `identityProviders()`
    `KeyResource` | `keys()`
    `List<LDAPCapabilityRepresentation>` | `ldapServerCapabilities(TestLdapConnectionRepresentation config)`
    `RealmLocalizationResource` | `localization()`
    `GlobalRequestResult` | `logoutAll()`
    `RealmRepresentation` | `partialExport(Boolean exportGroupsAndRoles, Boolean exportClients)`
    `javax.ws.rs.core.Response` | `partialImport(PartialImportRepresentation rep)`
    `GlobalRequestResult` | `pushRevocation()`
    `void` | `remove()`
    `void` | `removeDefaultDefaultClientScope(String clientScopeId)`
    `void` | `removeDefaultGroup(String groupId)`
    `void` | `removeDefaultOptionalClientScope(String clientScopeId)`
    `RolesResource` | `roles()`
    `RoleByIdResource` | `rolesById()`
    `javax.ws.rs.core.Response` | `testLDAPConnection(String action, String connectionUrl, String bindDn, String bindCredential, String useTruststoreSpi, String connectionTimeout)` Deprecated.
    `javax.ws.rs.core.Response` | `testLDAPConnection(TestLdapConnectionRepresentation config)`
    `javax.ws.rs.core.Response` | `testSMTPConnection(Map<String,String> config)`
    `javax.ws.rs.core.Response` | `testSMTPConnection(String config)` Deprecated.
    `RealmRepresentation` | `toRepresentation()`
    `void` | `update(RealmRepresentation realmRepresentation)`
    `void` | `updateRealmEventsConfig(RealmEventsConfigRepresentation rep)`
    `UsersResource` | `users()`
    `UserStorageProviderResource` | `userStorage()`

- - ### Method Detail

    - #### toRepresentation

          @GET
           @Produces(value="application/json")
          RealmRepresentation toRepresentation()

    - #### update

          @PUT
           @Consumes(value="application/json")
          void update(RealmRepresentation realmRepresentation)

    - #### clients

          @Path(value="clients")
          ClientsResource clients()

    - #### clientScopes

          @Path(value="client-scopes")
          ClientScopesResource clientScopes()

    - #### getDefaultDefaultClientScopes

          @GET
           @Produces(value="application/json")
           @Path(value="default-default-client-scopes")
          List<ClientScopeRepresentation> getDefaultDefaultClientScopes()

    - #### addDefaultDefaultClientScope

          @PUT
           @Path(value="default-default-client-scopes/{clientScopeId}")
          void addDefaultDefaultClientScope(@PathParam(value="clientScopeId")
                                                                                                               String clientScopeId)

    - #### removeDefaultDefaultClientScope

          @DELETE
           @Path(value="default-default-client-scopes/{clientScopeId}")
          void removeDefaultDefaultClientScope(@PathParam(value="clientScopeId")
                                                                                                                     String clientScopeId)

    - #### getDefaultOptionalClientScopes

          @GET
           @Produces(value="application/json")
           @Path(value="default-optional-client-scopes")
          List<ClientScopeRepresentation> getDefaultOptionalClientScopes()

    - #### addDefaultOptionalClientScope

          @PUT
           @Path(value="default-optional-client-scopes/{clientScopeId}")
          void addDefaultOptionalClientScope(@PathParam(value="clientScopeId")
                                                                                                                 String clientScopeId)

    - #### removeDefaultOptionalClientScope

          @DELETE
           @Path(value="default-optional-client-scopes/{clientScopeId}")
          void removeDefaultOptionalClientScope(@PathParam(value="clientScopeId")
                                                                                                                       String clientScopeId)

    - #### convertClientDescription

          @Path(value="client-description-converter")
           @POST
           @Consumes(value={"application/json","application/xml","text/plain"})
           @Produces(value="application/json")
          ClientRepresentation convertClientDescription(String description)

    - #### users

          @Path(value="users")
          UsersResource users()

    - #### roles

          @Path(value="roles")
          RolesResource roles()

    - #### rolesById

          @Path(value="roles-by-id")
          RoleByIdResource rolesById()

    - #### groups

          @Path(value="groups")
          GroupsResource groups()

    - #### clearEvents

          @DELETE
           @Path(value="events")
          void clearEvents()

    - #### getEvents

          @GET
           @Path(value="events")
           @Produces(value="application/json")
          List<EventRepresentation> getEvents()

    - #### getEvents

          @Path(value="events")
           @GET
           @Produces(value="application/json")
          List<EventRepresentation> getEvents(@QueryParam(value="type")
                                                                                                               List<String> types,
                                                                                                               @QueryParam(value="client")
                                                                                                               String client,
                                                                                                               @QueryParam(value="user")
                                                                                                               String user,
                                                                                                               @QueryParam(value="dateFrom")
                                                                                                               String dateFrom,
                                                                                                               @QueryParam(value="dateTo")
                                                                                                               String dateTo,
                                                                                                               @QueryParam(value="ipAddress")
                                                                                                               String ipAddress,
                                                                                                               @QueryParam(value="first")
                                                                                                               Integer firstResult,
                                                                                                               @QueryParam(value="max")
                                                                                                               Integer maxResults)

    - #### clearAdminEvents

          @DELETE
           @Path(value="admin-events")
          void clearAdminEvents()

    - #### getAdminEvents

          @GET
           @Path(value="admin-events")
           @Produces(value="application/json")
          List<AdminEventRepresentation> getAdminEvents()

    - #### getAdminEvents

          @GET
           @Path(value="admin-events")
           @Produces(value="application/json")
          List<AdminEventRepresentation> getAdminEvents(@QueryParam(value="operationTypes")
                                                                                                                               List<String> operationTypes,
                                                                                                                               @QueryParam(value="authRealm")
                                                                                                                               String authRealm,
                                                                                                                               @QueryParam(value="authClient")
                                                                                                                               String authClient,
                                                                                                                               @QueryParam(value="authUser")
                                                                                                                               String authUser,
                                                                                                                               @QueryParam(value="authIpAddress")
                                                                                                                               String authIpAddress,
                                                                                                                               @QueryParam(value="resourcePath")
                                                                                                                               String resourcePath,
                                                                                                                               @QueryParam(value="dateFrom")
                                                                                                                               String dateFrom,
                                                                                                                               @QueryParam(value="dateTo")
                                                                                                                               String dateTo,
                                                                                                                               @QueryParam(value="first")
                                                                                                                               Integer firstResult,
                                                                                                                               @QueryParam(value="max")
                                                                                                                               Integer maxResults)

    - #### getRealmEventsConfig

          @GET
           @Path(value="events/config")
           @Produces(value="application/json")
          RealmEventsConfigRepresentation getRealmEventsConfig()

    - #### updateRealmEventsConfig

          @PUT
           @Path(value="events/config")
           @Consumes(value="application/json")
          void updateRealmEventsConfig(RealmEventsConfigRepresentation rep)

    - #### getGroupByPath

          @GET
           @Path(value="group-by-path/{path: .*}")
           @Produces(value="application/json")
          GroupRepresentation getGroupByPath(@PathParam(value="path")
                                                                                                                                String path)

    - #### getDefaultGroups

          @GET
           @Produces(value="application/json")
           @Path(value="default-groups")
          List<GroupRepresentation> getDefaultGroups()

    - #### addDefaultGroup

          @PUT
           @Path(value="default-groups/{groupId}")
          void addDefaultGroup(@PathParam(value="groupId")
                                                                             String groupId)

    - #### removeDefaultGroup

          @DELETE
           @Path(value="default-groups/{groupId}")
          void removeDefaultGroup(@PathParam(value="groupId")
                                                                                   String groupId)

    - #### identityProviders

          @Path(value="identity-provider")
          IdentityProvidersResource identityProviders()

    - #### remove

          @DELETE
          void remove()

    - #### getClientSessionStats

          @Path(value="client-session-stats")
           @GET
          List<Map<String,String>> getClientSessionStats()

    - #### clientInitialAccess

          @Path(value="clients-initial-access")
          ClientInitialAccessResource clientInitialAccess()

    - #### clientRegistrationPolicy

          @Path(value="client-registration-policy")
          ClientRegistrationPolicyResource clientRegistrationPolicy()

    - #### partialImport

          @Path(value="partialImport")
           @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          javax.ws.rs.core.Response partialImport(PartialImportRepresentation rep)

    - #### partialExport

          @Path(value="partial-export")
           @POST
           @Produces(value="application/json")
          RealmRepresentation partialExport(@QueryParam(value="exportGroupsAndRoles")
                                                                                                                      Boolean exportGroupsAndRoles,
                                                                                                                      @QueryParam(value="exportClients")
                                                                                                                      Boolean exportClients)

    - #### flows

          @Path(value="authentication")
           @Consumes(value="application/json")
          AuthenticationManagementResource flows()

    - #### attackDetection

          @Path(value="attack-detection")
          AttackDetectionResource attackDetection()

    - #### testLDAPConnection

          @Path(value="testLDAPConnection")
           @POST
           @Consumes(value="application/x-www-form-urlencoded")
           @Deprecated
          javax.ws.rs.core.Response testLDAPConnection(@FormParam(value="action")
                                                                                                                                                                   String action,
                                                                                                                                                                   @FormParam(value="connectionUrl")
                                                                                                                                                                   String connectionUrl,
                                                                                                                                                                   @FormParam(value="bindDn")
                                                                                                                                                                   String bindDn,
                                                                                                                                                                   @FormParam(value="bindCredential")
                                                                                                                                                                   String bindCredential,
                                                                                                                                                                   @FormParam(value="useTruststoreSpi")
                                                                                                                                                                   String useTruststoreSpi,
                                                                                                                                                                   @FormParam(value="connectionTimeout")
                                                                                                                                                                   String connectionTimeout)

      Deprecated.

    - #### testLDAPConnection

          @Path(value="testLDAPConnection")
           @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response testLDAPConnection(TestLdapConnectionRepresentation config)

    - #### ldapServerCapabilities

          @POST
           @Path(value="ldap-server-capabilities")
           @Consumes(value="application/json")
           @Produces(value="application/json")
          List<LDAPCapabilityRepresentation> ldapServerCapabilities(TestLdapConnectionRepresentation config)

    - #### testSMTPConnection

          @Path(value="testSMTPConnection")
           @POST
           @Consumes(value="application/x-www-form-urlencoded")
           @Deprecated
          javax.ws.rs.core.Response testSMTPConnection(@FormParam(value="config")
                                                                                                                                                                   String config)

      Deprecated.

    - #### testSMTPConnection

          @Path(value="testSMTPConnection")
           @POST
           @Consumes(value="application/json")
          javax.ws.rs.core.Response testSMTPConnection(Map<String,String> config)

    - #### clearRealmCache

          @Path(value="clear-realm-cache")
           @POST
          void clearRealmCache()

    - #### clearUserCache

          @Path(value="clear-user-cache")
           @POST
          void clearUserCache()

    - #### clearKeysCache

          @Path(value="clear-keys-cache")
           @POST
          void clearKeysCache()

    - #### pushRevocation

          @Path(value="push-revocation")
           @POST
           @Produces(value="application/json")
          GlobalRequestResult pushRevocation()

    - #### logoutAll

          @Path(value="logout-all")
           @POST
           @Produces(value="application/json")
          GlobalRequestResult logoutAll()

    - #### deleteSession

          @Path(value="sessions/{session}")
           @DELETE
          void deleteSession(@PathParam(value="session")
                                                                        String sessionId)

    - #### components

          @Path(value="components")
          ComponentsResource components()

    - #### userStorage

          @Path(value="user-storage")
          UserStorageProviderResource userStorage()

    - #### keys

          @Path(value="keys")
          KeyResource keys()

    - #### localization

          @Path(value="localization")
          RealmLocalizationResource localization()

    - #### clientPoliciesPoliciesResource

          @Path(value="client-policies/policies")
          ClientPoliciesPoliciesResource clientPoliciesPoliciesResource()

    - #### clientPoliciesProfilesResource

          @Path(value="client-policies/profiles")
          ClientPoliciesProfilesResource clientPoliciesProfilesResource()

Copyright © 2021 JBoss by Red Hat. All rights reserved.